【Flash】今日からActionScriptを勉強しようと思うのですが、ActionScript3.0と2.0の違いが大きいような情報をよく見ます。


まったくの知識ゼロなのですが、とりあえずActionScript2.0を勉強して大丈夫でしょうか?
ベースになるものは通用するものなのでしょうか?

それか、いまからであれば3.0ベースのほうがよさそうでしょうか?(まだあまり参考本無いですが。。)

アドバイスお願いします。

回答の条件
  • 1人1回まで
  • 登録:2006/11/25 08:48:46
  • 終了:2006/12/02 08:50:02

回答(1件)

id:some1 No.1

some1回答回数842ベストアンサー獲得回数372006/11/25 09:57:16

ポイント60pt

今から始めるのならAS3をお勧めします。


>恐怖!! 違いすぎるAS2とAS3

http://www.fladdict.net/blog-jp/archives/2005/10/as2as3.php

もう1年以上前の話題ですが、上記エントリの感想同様、

AS3を初めて見たときに、AS2そのままの記述だとデバッガに引っかかったり、通っても挙動がバグもちのようになったりで、正直私も「面倒な事になったなぁ」と思ったものです。


>ベースになるものは通用するものなのでしょうか?


基本というかECMAScript風記述はざっくり同じですが、

>intとかfloatとかデータ型への対応

これが割と面倒ですね。というか浮動小数点とか知らなくてもFlashで作品創られてた方も多かったのでは?と思います。

同じECMA系のJavaScriptは型宣言を書かなくても動いてくれる乱暴な所もビギナーの方には良い所でもあるのですが、

深入りを始めると、どの道必要になるものではあるのですけど、頭から細かすぎるのも実際とっつきにくいと思います。

ともあれ、やや敷居は上がった感じはします。

書籍についてはそのうち揃ってくるようになるでしょう。


ただ、kentajoyさんがFlashで何をされたいのかにもよるかもしれません。


というのも、Flash作製現場では最新の9にあわせたパブリッシュではなく、普及している古い環境も鑑みて5でパブリッシュしたり、

ケータイ用のFlashLiteの現場では、ASになってからは使用禁止方向のFScommandなんてものも健在だったりもするので。

Flax2だのを鑑みて、スクリプトバリバリのものが作りたいのなら迷わずAS3でいいのですが。

id:kentajoy

まずはスクリプトの基本から始めようと思っているようなレベルなので2.0からで大丈夫そう。。

どちらにせよまだ3.0関連の本も少ないですしね、、いつ頃から出回りそうなのかな?

参考になります。有難うございます。

2006/11/25 11:03:48

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません